stages:
  - build 
  - test
  - deploy

build-job:
  stage: build
  script:
    - echo 'Construindo ambiente...'
    - echo 'Ambiente tá bala!'
    
teste-unitario:
  stage: test
  script:
    - echo 'Rodando testes...'
    - sleep 30
    - echo 'Testes finalizados.'

lint-teste:
  stage: test
  script:
    - echo 'Rodando testes de boas práticas'
    - sleep 10
    - echo 'Feito.'

deploy:
  stage: deploy
  script:
    - echo 'Subindo o código'
    - echo 'Código deployado ;D'
  